# Lefthook guide:
# https://github.com/Arkweid/lefthook/blob/master/docs/full_guide.md
pre-push:
  parallel: true
  commands:
    eslint:
      files: git diff --name-only --diff-filter=d origin/main...HEAD
      glob: '*.{js,vue}'
      exclude: 'rules/'
      run: ./node_modules/.bin/eslint {files}
    prettier:
      files: git diff --name-only --diff-filter=d origin/main...HEAD
      glob: '*.{js,vue,md,yml}'
      exclude: 'rules/'
      run: ./node_modules/.bin/prettier --check {files}
    rules:
      files: git diff --name-only --diff-filter=d origin/main...HEAD
      glob: 'rules/**/*.yml'
      run: ./bin/lint_rules.js
